# Data Analysis

This folder contains all the scripts we used for data analysis.

## Scripts
- `correlations.R` computes all the correlations between independent and dependent variables;
- `models.R` generates the two regression explanatory models for *correctness* and *time*, and also reports the manual execution of backward stepwise elimination for the construction of minimal models;
- `group-comparisons.R` runs the Mann-Withney tests and the Fisher tests to compute difference in binary groups for *correctness* (i.e., *correct* vs *incorrect*) and *time* (i.e., *time-up* vs *time-non-up*);
- `plot.R` produces the scatter plot from the paper.


## Data
- `data.csv` contains the complete dataset we built with our controlled experiment. More details on this in the paper.
