library(rsq)

results <- read.csv("data.csv")

#CORRECTNESS

model.full.correctness1 <- glm(correctness ~ alerting + orienting + immediate_recall + working_memory + programming_experience + task_difficulty, data = results, family = Gamma(link = "inverse"))
summary(model.full.correctness1)
#AIC: 211.73
rsq(model.full.correctness1, adj=FALSE, type=c('v','kl','sse','lr','n'))
#R^2: 0.06333138
rsq(model.full.correctness1, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.0003620576
#To the next step, the variable 'working_memory' will be removed


#We analyze a generalized linear model with the following variables: 'alerting', 
#'orienting', 'executive_control', 'immediate_recall', 'working_memory', 'programming_experience',
#'task_difficulty' and 'task_type'.
#The predicted variable is 'correctness'

model.full.correctness1 <- glm(correctness ~ alerting + orienting + executive_control + immediate_recall + working_memory + programming_experience + task_difficulty + task_type, data = results, family = gaussian(link = "identity"))
summary(model.full.correctness1)
#AIC: 211.73
rsq(model.full.correctness1, adj=FALSE, type=c('v','kl','sse','lr','n'))
#R^2: 0.06333138
rsq(model.full.correctness1, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.0003620576
#To the next step, the variable 'working_memory' will be removed

model.full.correctness2 <- glm(correctness ~ alerting + orienting + executive_control + immediate_recall + programming_experience + task_difficulty + task_type, data = results, family = gaussian(link = "identity"))
summary(model.full.correctness2)
#AIC: 209.74
rsq(model.full.correctness2, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.008643087
#To the next step, the variable 'alerting' will be removed

model.full.correctness3 <- glm(correctness ~ orienting + executive_control + immediate_recall + programming_experience + task_difficulty + task_type, data = results, family = gaussian(link = "identity"))
summary(model.full.correctness3)
#AIC: 207.74
rsq(model.full.correctness3, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.01680496
#To the next step, the variable 'executive_control' will be removed

model.full.correctness4 <- glm(correctness ~ orienting + immediate_recall + programming_experience + task_difficulty + task_type, data = results, family = gaussian(link = "identity"))
summary(model.full.correctness4)
#AIC: 205.75
rsq(model.full.correctness4, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.02475842
#To the next step, the variable 'orienting' will be removed

model.full.correctness5 <- glm(correctness ~ immediate_recall + programming_experience + task_difficulty + task_type, data = results, family = gaussian(link = "identity"))
summary(model.full.correctness5)
#AIC: 204.08
rsq(model.full.correctness5, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.03019547
#To the next step, the variable 'task_difficulty' will be removed

model.full.correctness6 <- glm(correctness ~ immediate_recall + programming_experience + task_type, data = results, family = gaussian(link = "identity"))
summary(model.full.correctness6)
#AIC: 202.52
rsq(model.full.correctness6, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.03472439
#To the next step, the variable 'immediate_recall' will be removed

model.full.correctness7 <- glm(correctness ~ programming_experience + task_type, data = results, family = gaussian(link = "identity"))
summary(model.full.correctness7)
#AIC: 201.39
rsq(model.full.correctness7, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.035936
#To the next step, the variable 'task_type' will be removed

model.full.correctness8 <- glm(correctness ~ programming_experience, data = results, family = gaussian(link = "identity"))
summary(model.full.correctness8)
#AIC: 201.12
rsq(model.full.correctness8, adj=FALSE, type=c('v','kl','sse','lr','n'))
#R^2: 0.0382104
rsq(model.full.correctness8, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.03057715
#'model.full.correctness8' is the final model.

#TIME

#We analyze a generalized linear model with the following variables: 'alerting', 
#'orienting', 'executive_control', 'immediate_recall', 'working_memory', 'programming_experience',
#'task_difficulty' and 'task_type'.
#The predicted variables is 'time'

model.full.time1 <- glm(time ~ alerting + orienting + executive_control + immediate_recall + working_memory + programming_experience + task_difficulty + task_type, data = results, family = gaussian(link = "identity"))
summary(model.full.time1)
#AIC: 835.59
rsq(model.full.time1, adj=FALSE, type=c('v','kl','sse','lr','n'))
#R^2: 0.2773596
rsq(model.full.time1, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.2287788
#To the next step, the variable 'task_type' will be removed

model.full.time2 <- glm(time ~ alerting + orienting + executive_control + immediate_recall + working_memory + programming_experience + task_difficulty, data = results, family = gaussian(link = "identity"))
summary(model.full.time2)
#AIC: 833.61
rsq(model.full.time2, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.2350718
#To the next step, the variable 'immediate_recall' will be removed

model.full.time3 <- glm(time ~ alerting + orienting + executive_control + working_memory + programming_experience + task_difficulty, data = results, family = gaussian(link = "identity"))
summary(model.full.time3)
#AIC: 831.7
rsq(model.full.time3, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.2408458
#To the next step, the variable 'executive_control' will be removed

model.full.time4 <- glm(time ~ alerting + orienting + working_memory + programming_experience + task_difficulty, data = results, family = gaussian(link = "identity"))
summary(model.full.time4)
#AIC: 829.78
rsq(model.full.time4, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.2466209
#To the next step, the variable 'orienting' will be removed

model.full.time5 <- glm(time ~ alerting + working_memory + programming_experience + task_difficulty, data = results, family = gaussian(link = "identity"))
summary(model.full.time5)
#AIC: 828.51
rsq(model.full.time5, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.2484546
#To the next step, the variable 'working_memory' will be removed

model.full.time6 <- glm(time ~ alerting + programming_experience + task_difficulty, data = results, family = gaussian(link = "identity"))
summary(model.full.time6)
#AIC: 827.59
rsq(model.full.time6, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.2482132
#To the next step, the variable 'task_difficulty' will be removed

model.full.time7 <- glm(time ~ alerting + programming_experience, data = results, family = gaussian(link = "identity"))
summary(model.full.time7)
#AIC: 827.77
rsq(model.full.time7,adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.2414069
#To the next step, the variable 'alerting' will be removed

model.full.time8 <- glm(time ~ programming_experience, data = results, family = gaussian(link = "identity"))
summary(model.full.time8)
#AIC: 828.34
rsq(model.full.time8,adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.232147

#REDABILITY

#We analyze a generalized linear model with the following variables: 'alerting', 
#'orienting', 'executive_control', 'immediate_recall', 'working_memory', 'programming_experience',
#'task_difficulty' and 'task_type'.
#The predicted variables is 'readability'

model.full.readability1 <- glm(readability ~ alerting + orienting + executive_control + immediate_recall + working_memory + programming_experience + task_difficulty, data = feature_implementation, family = gaussian(link = "identity"))
summary(model.full.readability1)
#AIC: -82.121
rsq(model.full.readability1, adj=FALSE, type=c('v','kl','sse','lr','n'))
#R^2: 0.1788692
rsq(model.full.readability1, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.07622785
#To the next step, the variable 'programming_experience' will be removed

model.full.readability2 <- glm(readability ~ alerting + orienting + executive_control + immediate_recall + working_memory + task_difficulty, data = feature_implementation, family = gaussian(link = "identity"))
summary(model.full.readability2)
#AIC: -83.89
rsq(model.full.readability2, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.8915933
#To the next step, the variable 'executive_control' will be removed

model.full.readability3 <- glm(readability ~ alerting + orienting + immediate_recall + working_memory + task_difficulty, data = feature_implementation, family = gaussian(link = "identity"))
summary(model.full.readability3)
#AIC: -85.618
rsq(model.full.readability3, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.1010472
#To the next step, the variable 'task_difficulty' will be removed

model.full.readability4 <- glm(readability ~ alerting + orienting + immediate_recall + working_memory, data = feature_implementation, family = gaussian(link = "identity"))
summary(model.full.readability4)
#AIC: -87.097
rsq(model.full.readability4, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.1090667
#To the next step, the variable 'working_memory' will be removed

model.full.readability5 <- glm(readability ~ alerting + orienting + immediate_recall, data = feature_implementation, family = gaussian(link = "identity"))
summary(model.full.readability5)
#AIC: -88.498
rsq(model.full.readability5, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.1156801
#To the next step, the variable 'immediate_recall' will be removed

model.full.readability6 <- glm(readability ~ alerting + orienting, data = feature_implementation, family = gaussian(link = "identity"))
summary(model.full.readability6)
#AIC: -89.525
rsq(model.full.readability6, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.1168488
#To the next step, the variable 'alerting' will be removed

model.full.readability7 <- glm(readability ~ orienting, data = feature_implementation, family = gaussian(link = "identity"))
summary(model.full.readability7)
#AIC: -88.08
rsq(model.full.readability7, adj=FALSE, type=c('v','kl','sse','lr','n'))
#R^2: 0.09758733
rsq(model.full.readability7, adj=TRUE, type=c('v','kl','sse','lr','n'))
#Adjusted R^2: 0.08303228
