results <- read.csv("data.csv")

pdf("plots.pdf", width=9, height=9)
par(mfrow = c(8,3), mar = c(2, 5, 3, 0.1) + 0.1)

plot(results$correctness, results$alerting, ylab = "Alerting", main = "Correctness", pch = 20)
plot(results$time, results$alerting, xlab = NULL, ylab = "", main = "Time", pch = 20)
plot(feature_implementation$readability, feature_implementation$alerting, main = "Readability", pch = 20)

plot(results$correctness, results$orienting, ylab = "Orienting", pch = 20)
plot(results$time, results$orienting, ylab = "", pch = 20)
plot(feature_implementation$readability, feature_implementation$orienting, ylab = "", pch = 20)

plot(results$correctness, results$executive_control, ylab = "Conflict", pch = 20)
plot(results$time, results$executive_control, ylab = "", pch = 20)
plot(feature_implementation$readability, feature_implementation$executive_control, ylab = "", pch = 20)

plot(results$correctness, results$working_memory, ylab = "Working memory", pch = 20)
plot(results$time, results$working_memory, ylab = "", pch = 20)
plot(feature_implementation$readability, feature_implementation$working_memory, ylab = "", pch = 20)

plot(results$correctness, results$immediate_recall, ylab = "Immediate recall", pch = 20)
plot(results$time, results$immediate_recall, ylab = "", pch = 20)
plot(feature_implementation$readability, feature_implementation$immediate_recall, ylab = "", pch = 20)

plot(results$correctness, results$programming_experience, ylab = "Programming\nexperience", pch = 20)
plot(results$time, results$programming_experience, ylab = "", pch = 20)
plot(feature_implementation$readability, feature_implementation$programming_experience, ylab = "", pch = 20)

boxplot(results$correctness ~ results$task_difficulty, ylab = "Task difficulty", horizontal = TRUE)
boxplot(results$time ~ results$task_difficulty, ylab = "", horizontal = TRUE)
boxplot(feature_implementation$readability ~ feature_implementation$task_difficulty, ylab = "", horizontal = TRUE)

boxplot(results$correctness ~ results$task_type, ylab = "Task type", horizontal = TRUE)
boxplot(results$time ~ results$task_type, ylab = "", horizontal = TRUE)
dev.off()

