/* A matrix diagonal mat is a diagonal line of cells starting from some cell in either the topmost row or leftmost column and going in the bottom-right direction until reaching the matrix's end. For example, the matrix diagonal starting from mat[2][0], where mat is a 6 x 3 matrix, includes cells mat[2][0], mat[3][1], and mat[4][2].
 * Given an m x n matrix mat of integers, sort each matrix diagonal in ascending order and return the resulting matrix.*/



class Solution {
    public int[][] diagonalSort(int[][] mat) {
        // hashmap to keep the diagonals
        HashMap<Integer, ArrayList<Integer>> h = new HashMap<>();
        
        // fill the hashmap
        int n = mat.length;
        int m = mat[0].length;
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < m; j++) { 
                h.putIfAbsent(i - j, new ArrayList<>());
                h.get(i - j).add(mat[i][j]);
            }   
        }
        
        // build output
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < m; j++) {
                ArrayList<Integer> temp = h.get(i-j);
                mat[i][j] = temp.remove(0);
            }
        }
        
        return mat;
    }

}

